> ## Documentation Index
> Fetch the complete documentation index at: https://agentrail.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List the leaderboard's categories



## OpenAPI

````yaml /api-reference/openapi.json get /v1/leaderboard/categories
openapi: 3.0.3
info:
  title: Agentrail API
  version: 0.0.0
servers: []
security: []
tags:
  - name: Leaderboard
  - name: Feedback
paths:
  /v1/leaderboard/categories:
    get:
      tags:
        - Leaderboard
      summary: List the leaderboard's categories
      operationId: listLeaderboardCategories
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        name:
                          type: string
                          minLength: 1
                        slug:
                          type: string
                          maxLength: 120
                          pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
                      required:
                        - id
                        - name
                        - slug
                      additionalProperties: false
                required:
                  - items
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '413':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '502':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
      security: []
      servers:
        - url: https://api.agentrail.co

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.